Loading...
Searching...
No Matches
QXmpp::Uri::Message Struct Reference

## Public Member Functions

bool | operator== (const Message &) const =default
| Default comparison operator.

## Public Attributes

QString | subject
| a subject for the message per the "jabber:client" schema
QString | body
| a body for the message per the "jabber:client" schema
QString | thread
| a Thread ID for the message per the "jabber:client" schema
QString | id
| a from address for the message per the "jabber:client" schema
QString | from
| an ID for the message per the "jabber:client" schema
std::optional< QXmppMessage::Type > | type
| the message type per the "jabber:client" schema

## Detailed Description

A "message" query defined in XEP-0147: XMPP URI Scheme Query Components.

Since
  QXmpp 1.8

The documentation for this struct was generated from the following file:

- QXmppUri.h